{% extends "templates/form.njk" %}
{% from "macros/hrt-form-heading-with-two-para.njk" import hrtFormHeadingWithTwoParagraph %}
{% from "packages/components/radios/macro.njk" import radios %}
{% from "packages/components/input/macro.njk" import input %}

{% block formContent %}

  {% set legendHtml = hrtFormHeadingWithTwoParagraph({heading: heading, paragraphOne: paragraphOne, paragraphTwo: paragraphTwo}) %}

  {% set emailAddressHtml %}
    {{ input({
      id: "email-address",
      name: "emailAddress",
      errorMessage: errors | getErrorForField('emailAddress'),
      value: claim.emailAddress,
      autocomplete: "off",
      classes: "nhsuk-u-width-two-thirds",
      label: {
        text: optionYesInputLabel
      }
    }) }}
  {% endset -%}

  {{ radios({
    id: "do-you-want-hrt-ppc-by-email",
    idPrefix: "do-you-want-hrt-ppc-by-email",
    name: "doYouWantEmail",
    value: claim.doYouWantEmail,
    fieldset: {
      legend: {
        isPageHeading: false,
        html: legendHtml
      }
    },
    errorMessage: errors | getErrorForField('doYouWantEmail'),
    items: [
      {
        value: "yes",
        checked : claim.doYouWantEmail === "yes",
        text: yes,
        conditional: {
          "html": emailAddressHtml
        }
      },
      {
        value: "no",
        checked : claim.doYouWantEmail === "no",
        text: no,
        conditional: {
          "html": "<p>" + optionNoContent + "</p>"
        }
      }
    ]
}) }}

{% endblock %}